<?php

namespace app\controller;

use support\Request;
use support\Db;
use App\services\TrackService;
use support\facade\Logger;

class Track
{
    public function index(Request $request)
    {
        $params = $request->all();
        //Logger::app('tarck'.json_encode($params));
        if (empty($params['ip']) || strstr($params['ip'], '240e') || $params['ip'] == '__IP__') {
            $params['ip'] = get_client_ip();
        }
        if (empty($params['ua']) || $params['ua'] == '__UA__') {
            $params['ua'] = get_client_ua();
        }
        if (getProp($params,'is_confirm')) {
            $res = TrackService::confirm($params);
            if ($res) {
                return 'success1' ;
            }
        }
        TrackService::push($params);
        return 'success' ;
    }

}